ILOGB(3)

NAME
ilogb, ilogbf, ilogbl, logb, logbf, logbl - extract exponent

LIBRARY
libm

SYNOPSIS
#include <math.h>
int
ilogb(double x);
int
ilogbf(float x);
int
ilogbl(long double x);
double
logb(double x);
float
logbf(float x);
long double
logbl(long double x);

DESCRIPTION
ilogb(), ilogbf() and ilogbl() return x's exponent in integer format. ilogb() returns INT_MAX, ilogb() returns FP_ILOGBNAN, and ilogb(0) returns FP_ILOGB0.

logb(x), logbf(x), and logbl(x) return x's exponent in floating-point format with the same precision as x. logb() returns +, and logb(0) returns - with a division by zero exception.

SEE ALSO
frexp(3), ieee(3), math(3), scalbn(3)

STANDARDS
The ilogb(), ilogbf(), ilogbl(), logb(), logbf(), and logbl() routines conform to isoC-99. The latter three implement the logb function recommended by ieee754.

HISTORY
Function
    First Appeared In
logb()
    4.3BSD
ilogb()
    FreeBSD 1.1.5
ilogbf()
    FreeBSD 2.0
logbf()
    FreeBSD 2.0
ilogbl()
    FreeBSD 5.4
logbl()
    FreeBSD 8.0